Bug 517501 - aha1542 driver panics i586 kernel upon load
Summary: aha1542 driver panics i586 kernel upon load
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 12:04 UTC by Matthew Whitehead
Modified: 2010-06-28 14:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:08:00 UTC


Attachments (Terms of Use)

Description Matthew Whitehead 2009-08-14 12:04:13 UTC
Description of problem: aha1542 driver panics i586 kernel upon load

Version-Release number of selected component (if applicable):
2.6.29.6-217.2.3.fc11.i586

How reproducible: 100%


Steps to Reproduce:
1. modprobe aha1542
2.
3.
  
Actual results: kernel panic


Expected results: should not panic


Additional info: Tried two different IRQ locations, still panic'ed. RUnning i586 on AMD K6 333MHz processor. 

Hand-copied backtrace follows (nothing in /var/log/messages):

__kmalloc
aha1542_queuecommand
default_spin_lock_flags
aha1542_queue_command
bio_fs_destructor
scsi_done
scsi_dispatch_cmd
scsi_request:fn
blk_Invoke_request_fn
__blk_run_queue
blk_run_queue
scsi_run_queue
scsi_next_command
scsi_io_completion
scsi_device_unbusy
scsi_finish_command
scsi_softirq_done
blk_done_softirq
__do_softirq
irq_exit
do_IRQ
common_interrupt

Comment 1 Matthew Whitehead 2009-08-18 14:33:40 UTC
Finally got a full backtrace. Problem is "sleeping function called from invalid context at mm/slub.c:1602"


Aug 18 08:06:12 K6 kernel: Configuring Adaptec (SCSI-ID 7) at IO:330, IRQ 9, DMA priority 6
Aug 18 08:06:12 K6 kernel: BUG: sleeping function called from invalid context at mm/slub.c:1602
Aug 18 08:06:12 K6 kernel: in_atomic(): 0, irqs_disabled(): 1, pid: 1127, name: modprobe
Aug 18 08:06:12 K6 kernel: Pid: 1127, comm: modprobe Not tainted 2.6.29.6-217.2.3.fc11.i586 #1
Aug 18 08:06:12 K6 kernel: Call Trace:
Aug 18 08:06:12 K6 kernel: [<c0427e3a>] __might_sleep+0xe5/0xea
Aug 18 08:06:12 K6 kernel: [<c049adf6>] __kmalloc+0x5f/0x11d
Aug 18 08:06:12 K6 kernel: [<c04d78a4>] ? __proc_create+0x77/0xef
Aug 18 08:06:12 K6 kernel: [<c04d78a4>] __proc_create+0x77/0xef
Aug 18 08:06:12 K6 kernel: [<c04d7e6e>] proc_mkdir_mode+0x23/0x48
Aug 18 08:06:12 K6 kernel: [<c04d7ea7>] proc_mkdir+0x14/0x16
Aug 18 08:06:12 K6 kernel: [<c046a3b6>] register_handler_proc+0xc7/0xd5
Aug 18 08:06:12 K6 kernel: [<c0468e54>] __setup_irq+0x19e/0x1ef
Aug 18 08:06:12 K6 kernel: [<c0468f69>] request_irq+0xc4/0x142
Aug 18 08:06:12 K6 kernel: [<d0e833d3>] ? do_aha1542_intr_handle+0x0/0x2be [aha1542]
Aug 18 08:06:12 K6 kernel: [<d0ac26a8>] aha1542_detect+0x62f/0x76d [aha1542]
Aug 18 08:06:12 K6 kernel: [<d0ac283f>] init_this_scsi_driver+0x59/0xc7 [aha1542]
Aug 18 08:06:12 K6 kernel: [<c040113f>] _stext+0x4f/0x127
Aug 18 08:06:12 K6 kernel: [<d0ac27e6>] ? init_this_scsi_driver+0x0/0xc7 [aha1542]
Aug 18 08:06:12 K6 kernel: [<c070a297>] ? notifier_call_chain+0x26/0x48
Aug 18 08:06:12 K6 kernel: [<c0443bbf>] ? __blocking_notifier_call_chain+0x45/0x51
Aug 18 08:06:12 K6 kernel: [<c0450c2b>] sys_init_module+0x8b/0x18a
Aug 18 08:06:12 K6 kernel: [<c0403f72>] syscall_call+0x7/0xb
Aug 18 08:06:12 K6 kernel: scsi3 : Adaptec 1542
Aug 18 08:06:12 K6 kernel: isa bounce pool size: 16 pages
Aug 18 08:06:13 K6 kernel: BUG: sleeping function called from invalid context at mm/slub.c:1602
Aug 18 08:06:13 K6 kernel: in_atomic(): 0, irqs_disabled(): 1, pid: 1135, name: scsi_scan_3
Aug 18 08:06:13 K6 kernel: Pid: 1135, comm: scsi_scan_3 Not tainted 2.6.29.6-217.2.3.fc11.i586 #1
Aug 18 08:06:13 K6 kernel: Call Trace:
Aug 18 08:06:13 K6 kernel: [<c0427e3a>] __might_sleep+0xe5/0xea
Aug 18 08:06:13 K6 kernel: [<c049adf6>] __kmalloc+0x5f/0x11d
Aug 18 08:06:13 K6 kernel: [<d0e839db>] ? aha1542_queuecommand+0x1ba/0x3d6 [aha1542]
Aug 18 08:06:13 K6 kernel: [<c041bb3b>] ? default_spin_lock_flags+0x8/0xd
Aug 18 08:06:13 K6 kernel: [<d0e839db>] aha1542_queuecommand+0x1ba/0x3d6 [aha1542]
Aug 18 08:06:13 K6 kernel: [<c0708114>] ? _spin_unlock_irqrestore+0x27/0x3d
Aug 18 08:06:13 K6 kernel: [<c05e9444>] ? scsi_done+0x0/0x12
Aug 18 08:06:13 K6 kernel: [<c05e9699>] scsi_dispatch_cmd+0x170/0x1df
Aug 18 08:06:13 K6 kernel: [<c05ee117>] scsi_request_fn+0x33a/0x486
Aug 18 08:06:13 K6 kernel: [<c054d518>] __generic_unplug_device+0x2b/0x2e
Aug 18 08:06:13 K6 kernel: [<c054fb89>] blk_execute_rq_nowait+0x6c/0x9b
Aug 18 08:06:13 K6 kernel: [<c054fc29>] blk_execute_rq+0x71/0x90
Aug 18 08:06:13 K6 kernel: [<c054faf0>] ? blk_end_sync_rq+0x0/0x2d
Aug 18 08:06:13 K6 kernel: [<c05ef3df>] scsi_execute+0xcd/0x123
Aug 18 08:06:13 K6 kernel: [<c05ef48c>] scsi_execute_req+0x57/0x84
Aug 18 08:06:13 K6 kernel: [<c05f00f0>] scsi_probe_and_add_lun+0x1de/0x905
Aug 18 08:06:13 K6 kernel: [<c05dcd2f>] ? get_device+0x18/0x1d
Aug 18 08:06:13 K6 kernel: [<c05efcef>] ? scsi_alloc_target+0x1be/0x1ee
Aug 18 08:06:13 K6 kernel: [<c05f09e8>] __scsi_scan_target+0x76/0x4ca
Aug 18 08:06:13 K6 kernel: [<c0422b2d>] ? dequeue_entity+0x1a/0x1ea
Aug 18 08:06:13 K6 kernel: [<c04229e5>] ? __dequeue_entity+0x28/0x2c
Aug 18 08:06:13 K6 kernel: [<c0422a79>] ? set_next_entity+0x90/0xfc
Aug 18 08:06:13 K6 kernel: [<c0402aa1>] ? __switch_to+0x7b/0xfd
Aug 18 08:06:13 K6 kernel: [<c05f0e81>] scsi_scan_channel+0x45/0x6b
Aug 18 08:06:13 K6 kernel: [<c05f106c>] scsi_scan_host_selected+0xbd/0xf8
Aug 18 08:06:13 K6 kernel: [<c05f1100>] do_scsi_scan_host+0x59/0x62
Aug 18 08:06:13 K6 kernel: [<c05f1109>] ? do_scan_async+0x0/0x104
Aug 18 08:06:13 K6 kernel: [<c05f1121>] do_scan_async+0x18/0x104
Aug 18 08:06:13 K6 kernel: [<c05f1109>] ? do_scan_async+0x0/0x104
Aug 18 08:06:13 K6 kernel: [<c043fd50>] kthread+0x41/0x65
Aug 18 08:06:13 K6 kernel: [<c043fd0f>] ? kthread+0x0/0x65
Aug 18 08:06:13 K6 kernel: [<c0404877>] kernel_thread_helper+0x7/0x10

Comment 2 Bug Zapper 2010-04-28 09:45:54 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:08:00 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.